Skip to main content
POST
/
api
/
v1
/
workspace
/
{workspaceId}
/
environments
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/workspace/{workspaceId}/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "position": 2
}
'
import requests

url = "https://us.infisical.com/api/v1/workspace/{workspaceId}/environments"

payload = {
"name": "<string>",
"slug": "<string>",
"position": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', position: 2})
};

fetch('https://us.infisical.com/api/v1/workspace/{workspaceId}/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "workspace": "<string>",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "position": 123,
    "projectId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deleteAfter": "2023-11-07T05:31:56Z",
    "softDeletedAt": "2023-11-07T05:31:56Z",
    "deletedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deletedByIdentityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

workspaceId
string
required

The ID of the project to create the environment in.

Body

application/json
name
string
required

The name of the environment to create.

Required string length: 1 - 255
slug
string
required

The slug of the environment to create.

Required string length: 1 - 64
position
number

The position of the environment. The lowest number will be displayed as the first environment.

Required range: x >= 1

Response

Default Response

message
string
required
workspace
string
required
environment
object
required